#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned u;

#define INF INT_MAX
#define MOD (1000000007)
#define PI arccos(-1)

#define pll pair<long long, long long>
#define mp make_pair

#define vll vector<ll>
#define vb vector<bool>
#define vs vector<string>
#define vp vector<pll>
#define pb push_back
#define all(v) v.begin(), v.end()
#define print_vect(v) for (auto it : v) cout << it << " ";

#define pq priority_queue<ll>
#define pqg priority_queue<ll, vll, greater<ll>>
#define set set<ll>
#define mset multiset<ll>
#define queue queue<ll>

ll add(ll a, ll b) { a += b; return a >= MOD ? a - MOD : a; }
ll sub(ll a, ll b) { a -= b; return a < 0 ? a + MOD : a; }
ll mul(ll a, ll b) { return (long long)(a) * (long long)(b) % MOD; }
 
void sadd(ll &a, ll b) { a = add(a, b); }
void ssub(ll &a, ll b) { a = sub(a, b); }
void smul(ll &a, ll b) { a = mul(a, b); }

ll nzs(ll a, ll b){ 
    return (a / __gcd(a, b)) * b; 
}

const ll N = 1e6 + 5;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll n, m;
    cin >> n >> m;
    vector<vll> v(N);
    for(ll i = 0 ; i < n ; i++){
        ll x, y;
        cin >> x >> y;
        for(ll j = x ; j <= y ; j++){
            if(j < N){
                v[j].push_back(i);
            }
            else{
                while(true){
                    
                }
            }
        }
    }

    for(ll i = 0 ; i < m ; i++){
        ll l, r, x;
        cin >> l >> r >> x;
        l--;
        r--;
        ll left = lower_bound(all(v[x]), l) - v[x].begin();
        ll right = upper_bound(all(v[x]), r) - v[x].begin();
        cout << right - left << "\n";
    }
    return 0;
}